import { Observable } from 'rxjs';
import { ResponsiveConfig } from './sizes-config';
export declare class ResponsiveToolService {
    private sizeConfig;
    private size;
    private isMobile;
    private readonly sizes;
    readonly size$: Observable<number>;
    readonly isExtraSmall$: Observable<boolean>;
    readonly isSmall$: Observable<boolean>;
    readonly isMedium$: Observable<boolean>;
    readonly isLarge$: Observable<boolean>;
    readonly isExtraLarge$: Observable<boolean>;
    readonly isMobile$: Observable<boolean>;
    readonly isDesktop$: Observable<boolean>;
    constructor(sizeConfig: ResponsiveConfig);
    private get detectIsMobile();
    match(condition: string): Observable<boolean>;
}
